// 手机号码验证规则
export const checkPhone = (rule: any, value: any, callback: any) => {
  const phoneReg = /^1(3|4|5|6|7|8|9)\d{9}$/;
  if (!phoneReg.test(value)) {
    callback(new Error('请输入正确的手机号!'));
  } else {
    callback();
  }
};
// 手机号码验证规则 非必填
export const unReqCheckPhone = (rule: any, value: any, callback: any) => {
  if (!value) {
    callback();
  }
  const phoneReg = /^1(3|4|5|6|7|8|9)\d{9}$/;
  if (!phoneReg.test(value)) {
    callback(new Error('请输入正确的手机号!'));
  } else {
    callback();
  }
};
// 身份证校验
export const checkCardID = (rule: any, value: any, callback: any) => {
  const cardIDReg =
    /^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$|^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/;
  if (!cardIDReg.test(value)) {
    callback(new Error('请输入正确的身份证!'));
  } else {
    callback();
  }
};
// 邮箱校验
export const checkEmail = (rule: any, value: any, callback: any) => {
  const emailReg = /^[a-zA-Z0-9_-]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$/;
  if (!value) {
    callback();
  }
  if (!emailReg.test(value)) {
    callback(new Error('请输入正确的邮箱!'));
  } else {
    callback();
  }
};
// 密码强度校验
export const checkPasswordStrength = (rule: any, value: any, callback: any) => {
  const passReg = /(?![0-9A-Z]+$)(?![^0-9A-Z]+$)(?![0-9a-z]+$)(?![^0-9a-z]+$)(?![a-zA-Z]+$)(?![^a-zA-Z]+$)[!-~]{8,16}$/;
  if (!passReg.test(value)) {
    callback(new Error('输入的密码不符合规则，请重新输入!'));
  } else {
    callback();
  }
};
