import { createApp } from 'vue';
import ElementPlus from 'element-plus';
import zhCn from 'element-plus/es/locale/lang/zh-cn';
import { Frame } from 'bsb-common-web';
import 'bsb-common-web/dist/style.css';
import Moment from 'moment'; // element-ui中转换时间选择器格式用法:Moment(xxx).format("YYYY-MM-DD HH:mm:ss")
import App from './App.vue';
import router from './router/index';
import instance from './request/index';
import { store, key } from './store/index';
import 'element-plus/dist/index.css';
import '@/common/reset.scss';
import BsbTable from './components/common/table.vue';
import BsbFrame from './components/common/ContentStructure.vue';
import BsbFormArea from './components/common/FormArea.vue';
import api from '@/config/api';

const app = createApp(App);

app.config.globalProperties.$http = instance;
app.use(Frame);
app.provide('api', api);
app.provide('Moment', Moment);

app.use(router);

app.use(store, key);

app.use(ElementPlus, {
  locale: zhCn
});

app.component('BsbTable', BsbTable);
app.component('BsbFrame', BsbFrame);
app.component('BsbFormArea', BsbFormArea);

app.mount('#app');
