import { useStore } from '@/store/index';
/**
 * 获取当前登录人常用信息
 * @param params
 * @returns
 */
export function getRoleInfo() {
  const store = useStore();
  return {
    role: store.state.role,
    orgId: store.state.userOrgStation.orgId, // 对应门店或者经销商id
    orgName: store.state.userOrgStation.orgName, // 对应门店或者经销商名称
    orgCode: store.state.userOrgStation.orgCode, // 对应门店或者经销商code
    orgAddress: store.state.userOrgStation.orgAddress, // 对应门店或者经销商地址
    officeId: store.state.userOffice.officeId, // 登陆者的体系id
    username: store.state.userOffice.name, // 登陆者姓名
    userphone: store.state.userOffice.phone, // 登陆者手机号
    userId: store.state.userOffice.userId // 登陆者id
  };
}
/**
 * 获取小数点后的位数
 * @param num 字符串数字
 * @returns
 */
export function getDecimalLen(num: string) {
  const index = num.indexOf('.');
  return index > -1 ? num.slice(index).length - 1 : 0;
}
