import { PageParam, ColumnsItem, CrumbsItem, CategoryItem, StoreItem } from '@/types/common-interface';
// 列表页data接口定义
// table-行数据接口
export interface Row {
  id: string;
  goodCode: string;
  goodName: string;
  brand: string;
  goodType: string;
  isOrderly: string;
  storeName: string;
  inventoryQuantity: string;
  frozenStock: string;
  availableStock: string;
  createDate: string;
}

export interface SearchForm {
  currentId: string;
  orgId?: string;
  firstCategoryName?: string;
  keyWord?: string;
  page: PageParam;
}
export interface DataList {
  currentRow: Row | null;
  pageSizes: Array<number>;
  total: number | null;
  columns: Array<ColumnsItem>;
  tableData: Array<Row>;
  storeList: Array<StoreItem>;
  goodsCategory: Array<CategoryItem>;
  crumbs: Array<CrumbsItem>;
  searchForm: SearchForm;
}
